## away 0.9.5+ds

=== Makefile ===
# Makefile for Away

# files and paths
SHELL  = /bin/sh
PREFIX = /usr/local
BINARY = away
SRC    = $(BINARY).c

# compiler
CC     = gcc
CFLAGS = -O2 -Wall -D_REENTRANT
LIBS   = -lpthread -lpam -lpam_misc

# alias away
all: $(BINARY)

# away
$(BINARY): $(SRC)
	$(CC) $(CFLAGS) $(LIBS) $(SRC) -o $(BINARY)
#	@strip $(BINARY)

# make install
install: $(BINARY)
	cp $(BINARY) $(PREFIX)/bin/
	cp doc/away.1 $(PREFIX)/man/man1/
	cp doc/awayrc.5 $(PREFIX)/man/man5/
	cp data/away.pam /etc/pam.d/away

# Clean up
clean:
	rm -f $(BINARY) *.o core

=== debian/changelog ===
away (0.9.5+ds-0+nmu3) unstable; urgency=medium

  [ Andreas Tille ]
  * Team upload.
  * Maintain package in Debian team on Salsa
  * Point Homepage to Webarchive
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * d/copyright: DEP5

  [ Mechtilde ]
  * Added d/u/metadata
  * Added d/dpb.conf for using debian-packaging-scripts

 -- Mechtilde Stehmann <mechtilde@debian.org>  Sun, 24 Aug 2025 10:12:10 +0200

away (0.9.5+ds-0+nmu2) unstable; urgency=low

  * Non-maintainer upload
    - d/p/01_fix_makefile: $LIBS need to come after $SRC while linking to
      fix building with ld --as-needed (Closes: #634323)

 -- Andreas Moog <amoog@ubuntu.com>  Fri, 25 Oct 2013 00:42:40 +0100

away (0.9.5+ds-0+nmu1) unstable; urgency=low

  * Non-maintainer upload fo remove build-dependency on dbs (closes: #576038);
    upload this NMU to DELAYED/10 queue.
  * Switch to upstream tarball, using âdsâ for âdebian sourceâ as a
    suffix since dak wouldn't appreciate different tarballs having
    the same name.
  * Switch to the '3.0 (quilt)' source format.
  * Use debhelper v9 and its tiny rules format.
  * Fix 01_fix_makefile to properly handle CFLAGS, CPPFLAGS, LDFLAGS, and DESTDIR
    variables.
  * Bump Standards-Version to 3.9.4.
  * Remove an article from short package description (lintian).

 -- Robert Luberda <robert@debian.org>  Sun, 22 Sep 2013 15:09:09 +0200

away (0.9.5-3) unstable; urgency=low

  * use common-{account,auth,session} (closes: #344394)

 -- Rene Engelhard <rene@debian.org>  Sat, 31 Dec 2005 15:22:49 +0100

away (0.9.5-2) unstable; urgency=low

  * added patch from upstream enhancing security at locked terminal
    and typing in password (it was possible to enter something before
    the safe password: prompt appeared), this could have been lead to
    show the password on the screen...

 -- Rene Engelhard <rene@debian.org>  Tue,  8 Oct 2002 16:12:46 +0200

away (0.9.5-1) unstable; urgency=low

  * new upstream release
    - removed the following patches because they are included upstream now
      + 02_use_pam_unix_passwd
      + 03_fixes_when_no_mailbox
      + 04_remove_sighup
  * updated Standards-Version: (3.5.2 to 3.5.7)
  * some cleanups

 -- Rene Engelhard <rene@debian.org>  Thu,  5 Sep 2002 17:38:32 +0200

away (0.9.4.0-2) unstable; urgency=low

  * debian/rules cleanup
  * minor improvements on description
  * new maintainer email
  * added patch which removes SIGHUP from signal handling, that
    fixes the problem that away lingers and need to killed manually
    if the user's terminal is disconnected abruptly
    (thanks Seth Stone <seth@initzero.net>)

 -- Rene Engelhard <rene@debian.org>  Tue, 13 Aug 2002 23:04:43 +0200

away (0.9.4.0-1) unstable; urgency=low

  * moved to use dbs (use a fake new upstream to get the new orig.tar.gz in)
  * fixed busyloop if no mailbox is found and change the warning about
    mailbox not found to not appear everytime the mail should be checked
    because that is annoying (closes: #154354)

 -- Rene Engelhard <rene@rene-engelhard.de>  Sat, 27 Jul 2002 17:32:19 +0200

away (0.9.4-2) unstable; urgency=low

  * fixed Makefile to copy away.pam _not_ to /etc/pam.d/away.pam.
    It belongs to /etc/away/away (closes: #153277)
  * removed absolute path from /etc/pam/away
  * using dh_installpam to install the pam file

 -- Rene Engelhard <rene@rene-engelhard.de>  Wed, 17 Jul 2002 22:08:37 +0200

away (0.9.4-1) unstable; urgency=low

  * Initial Release. (closes: #152451)
  * fixed upstream /etc/pam.d/away.pam to use the right .so
    (pwdb -> unix_passwd)

 -- Rene Engelhard <rene@rene-engelhard.de>  Wed, 10 Jul 2002 21:13:41 +0200

=== debian/control ===
Source: away
Section: utils
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper-compat (= 13), libpam0g-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/away
Vcs-Git: https://salsa.debian.org/debian/away.git
Homepage: https://web.archive.org/web/20050316212734/http://unbeatenpath.net/software/away/

Package: away
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpam-modules
Description: Terminal locking program
 Away is a simple program that locks your terminal, checks for new
 mail in any given number of mailboxes, and lets others know why you
 are inactive.
 .
 Away puts the message specified why your are away into the output of
 the 'w' command, so that users looking for you can see that and why you
 are away (and not only idle for some time)
 .
 Away will also notify you if you have new mail. By default Away only
 checks for mail in a user's $MAIL file, but by using the awayrc file,
 a user can configure any given number of mailboxes to be checked.
 .
 Away also uses PAM to lock your terminal in the way xlock locks an X11
 session.
